跳转到主要内容
GET
/
v2
/
wallet
/
{chain}
/
{walletAddress}
/
pnl
Wallet - PnL Summary
curl --request GET \
  --url https://api.chainstream.io/v2/wallet/{chain}/{walletAddress}/pnl \
  --header 'Authorization: Bearer <token>'
{
  "avgProfitPerTradeInUsd": "402.86",
  "buyAmountInUsd": "101371192.39",
  "buys": "1515999",
  "losses": "348350",
  "realizedProfitInUsd": "802583.91",
  "realizedProfitRatio": "0.0035521324",
  "resolution": "1d",
  "sellAmountInUsd": "60369621.10",
  "sells": "1011994",
  "tokens": "15126",
  "totalCostInUsd": "225944253.64",
  "totalProfitInUsd": "1018427683.08",
  "totalProfitRatio": "4.5074290081",
  "totalTrades": "2527993",
  "unrealizedProfitInUsd": "1017625099.17",
  "unrealizedProfitRatio": "4.5038768756",
  "walletAddress": "54Pz1e35z9uoFdnxtzjp7xZQoFiofqhdayQWBMN7dsuy",
  "winRate": "0.5575",
  "wins": "438944",
  "updatedAt": "2026-02-04T11:42:50.000Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt

Use this file to discover all available pages before exploring further.

获取钱包的盈亏概览。展示所有代币持仓的已实现与未实现 PnL。
相关: GraphQL 钱包 PnL | MCP: wallet_get_pnl

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

chain
enum<string>
必填

A chain name listed in supported networks Supported blockchain chains

可用选项:
sol,
eth,
bsc
walletAddress
string
必填

An address of a wallet

查询参数

resolution
enum<string>
默认值:1d

PnL time resolution (1d, 7d, 30d, or all) PnL resolution period

可用选项:
1d,
7d,
30d,
all

响应

200 - application/json

Successful response

Wallet PnL Summary (aggregated across all tokens for a given resolution)

avgProfitPerTradeInUsd
string
必填

Average profit per trade in USD

示例:

"402.86"

buyAmountInUsd
string
必填

Total buy amount in USD

示例:

"101371192.39"

buys
string
必填

Total number of buy trades

示例:

"1515999"

losses
string
必填

Number of losing trades

示例:

"348350"

realizedProfitInUsd
string
必填

Realized profit in USD

示例:

"802583.91"

realizedProfitRatio
string
必填

Realized profit ratio

示例:

"0.0035521324"

resolution
string
必填

PnL time resolution

示例:

"1d"

sellAmountInUsd
string
必填

Total sell amount in USD

示例:

"60369621.10"

sells
string
必填

Total number of sell trades

示例:

"1011994"

tokens
string
必填

Total number of traded tokens

示例:

"15126"

totalCostInUsd
string
必填

Total cost basis in USD

示例:

"225944253.64"

totalProfitInUsd
string
必填

Total profit (realized + unrealized) in USD

示例:

"1018427683.08"

totalProfitRatio
string
必填

Total profit ratio

示例:

"4.5074290081"

totalTrades
string
必填

Total number of all trades

示例:

"2527993"

unrealizedProfitInUsd
string
必填

Unrealized profit in USD

示例:

"1017625099.17"

unrealizedProfitRatio
string
必填

Unrealized profit ratio

示例:

"4.5038768756"

walletAddress
string
必填

Wallet address

示例:

"54Pz1e35z9uoFdnxtzjp7xZQoFiofqhdayQWBMN7dsuy"

winRate
string
必填

Ratio of winning trades to total trades

示例:

"0.5575"

wins
string
必填

Number of profitable trades

示例:

"438944"

updatedAt
string | null

Last updated timestamp

示例:

"2026-02-04T11:42:50.000Z"